Subject: Add first level cache for the query cache
Description

The Extbase query cache pollutes the database by querying 
the same cache identifier over and over again. This for example 
doubles the amount of fired database queries for fetching related 
objects at the moment.

Related issues:
related to Core - Task # 55167: Extbase: avoid parseQuery() / buildQuery() to... Resolved 2014-03-20 2014-03-20

Associated revisions
Revision 239e01d1 - 2014-03-25 14:28 - Marc Bastian Heinrichs

[TASK] Add first level cache for the query cache

The Extbase query cache stresses the database by querying
the same cache identifier over and over again. This for example
doubles the amount of fired database queries for fetching related
objects at the moment.

Introduce a first level cache saving the cache entries during
runtime.

Resolves: #57275
Releases: 6.2
Change-Id: I964db7c9ab8b61a3d8ac6534a35dc65240398aa7
Reviewed-on: https://review.typo3.org/28744
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Philipp Gampe
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-03-25 11:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28744
#2 - 2014-03-25 11:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28744

#3 - 2014-03-25 13:16 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28744

#4 - 2014-03-25 15:31 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:239e01d1a3c7936252f6510a9cd436be1585fb29.
